const INTERVAL = 10000;
console.log("Background script launched");
/**
 * On changed storage value
 */
 

function sleep(milliseconds) {
  const date = Date.now();
  let currentDate = null;
  do {
    currentDate = Date.now();
  } while (currentDate - date < milliseconds);
}

 
chrome.storage.onChanged.addListener((changes, namespace) => {
    if (changes.url) {
        chrome.tabs.create({
            url: changes.url.newValue,
            active: false
        }, (tab) => {});
    }
});

chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
	
  if (!request.job) {
    return;
  }
  const job = request.job;
   console.log(request);
  if (job === 'open' && request.url != "") {
    
	chrome.tabs.create({
                    url: request.url,
                    active: true
                }, (tab) => {setTimeout(function(){ chrome.tabs.remove(tab.id);  }, 10000);});
														
  }
	
});